> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete many Jobs

> Permanently remove many jobs from our platform. This cannot be undone.



## OpenAPI

````yaml https://api.ionq.co/v0.3/api-docs DELETE /jobs
openapi: 3.0.0
info:
  title: IonQ Cloud Platform API
  version: v0.3
  description: |-
    *Last updated: May 6, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform
  contact:
    name: IonQ
    email: support@ionq.co
    url: https://ionq.com/
  x-logo:
    url: https://static.ionq.co/images/ionq-logo-dark.png
    altText: IonQ Logo
    href: '#'
servers:
  - url: https://api.ionq.co/v0.3/
security:
  - API_Key: []
paths:
  /jobs:
    delete:
      tags:
        - jobs
      summary: Delete many Jobs
      description: Permanently remove many jobs from our platform. This cannot be undone.
      operationId: deleteManyjobs
      parameters:
        - $ref: '#/components/parameters/job-ids'
      responses:
        '200':
          $ref: '#/components/responses/DeleteManyJobs'
      x-codeSamples:
        - lang: curl
          source: |
            curl -X DELETE "https://api.ionq.co/v0.3/jobs" \
              -H "Authorization: apiKey your-api-key" \
              -H "Content-Type: application/json" \
              -d '{
                    "ids": [
                        "617a1f8b-59d4-435d-aa33-695433d7155e",
                        "2ccf2773-4c28-468e-a290-2f8554808a25",
                        "f92df2b6-d212-4f4a-b9ea-024b58c5c3e8"
                    ]
                }'
components:
  parameters:
    job-ids:
      name: ids
      in: query
      schema:
        type: array
        description: A list of job UUIDs
        items:
          type: string
          format: uuid
  responses:
    DeleteManyJobs:
      description: Successfully deleted requested jobs
      content:
        application/json:
          schema:
            type: object
            description: Response body from successfully deleting many jobs.
            required:
              - ids
              - status
            properties:
              ids:
                type: array
                description: A list of UUIDs of deleted jobs.
                items:
                  $ref: '#/components/schemas/job-uuid'
              status:
                type: string
                description: Status of a job (always `deleted`).
                enum:
                  - deleted
  schemas:
    job-uuid:
      type: string
      format: uuid
      example: aa54e783-0a9b-4f73-ad2f-63983b6aa4a8
      description: >-
        The UUID of a job. We'll provide the UUID initially in our response to a
        [job creation request](#operation/createJob).
  securitySchemes:
    API_Key:
      type: apiKey
      in: header
      name: Authorization
      description: >
        API keys are associated with a user and can be created on the

        [IonQ Quantum Cloud](https://cloud.ionq.com) application. To
        authenticate, prefix your API Key with `apiKey ` and place it in the
        `Authorization` request header. Ex: `Authorization: apiKey your-api-key`

````